<?php
declare(strict_types=1);

namespace App\Core\Facades;

use App\Core\Contracts\StockManagerInterface;
use App\Core\Facade;

/**
 * @method static int moveStock(array $data)
 * @method static string getAvailableQuantity(int $itemId, int $warehouseId)
 * @method static string getTotalStock(int $itemId)
 * @method static array getMovements(int $itemId, ?int $warehouseId = null, int $limit = 50)
 */
final class Stock extends Facade
{
    protected static function getContainerKey(): string
    {
        return StockManagerInterface::class;
    }
}
